"use strict";
(function ($) {
    $.field_employeeservice = function (element, options) {
        var defaults = {
            input_name: ""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('select.list-employeeservice').select2();
           
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_employeeservice = function (options) {
        
        return this.each(function () {
            
            if (undefined === $(this).data('field_employeeservice')) {
                var plugin = new $.field_employeeservice(this, options);
                $(this).data('field_employeeservice', plugin);
            }
        });
    }
})(jQuery);
